---
lang: en
title: 'API docs: sequelize.sequelizecrudrepository.buildsequelizeincludefilter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/sequelize
permalink: /doc/en/lb4/apidocs.sequelize.sequelizecrudrepository.buildsequelizeincludefilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/sequelize](./sequelize.md) &gt; [SequelizeCrudRepository](./sequelize.sequelizecrudrepository.md) &gt; [buildSequelizeIncludeFilter](./sequelize.sequelizecrudrepository.buildsequelizeincludefilter.md)

## SequelizeCrudRepository.buildSequelizeIncludeFilter() method

Build Sequelize compatible `include` filter

**Signature:**

```typescript
protected buildSequelizeIncludeFilter(inclusionFilters?: Array<InclusionFilter & {
        required?: boolean;
    }>, sourceModel?: ModelStatic<Model<T>>): Includeable[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

inclusionFilters


</td><td>

Array&lt;[InclusionFilter](./filter.inclusionfilter.md) &amp; { required?: boolean; }&gt;


</td><td>

_(Optional)_ loopback style `where` condition


</td></tr>
<tr><td>

sourceModel


</td><td>

ModelStatic&lt;Model&lt;T&gt;&gt;


</td><td>

_(Optional)_ sequelize model instance


</td></tr>
</tbody></table>

**Returns:**

Includeable\[\]

Sequelize compatible `Includeable` array


